Subject: [PATCH] Consistently use "superproject" instead of "supermodule"

From: Jens Lehmann <[email-masked]>
Date: Sun, 20 May 2012 15:28:26 +0200

We fairly consistently say "superproject" and never "supermodule" these
days. But there are seven occurrences of "supermodule" left in the current
work tree. Three appear in Release Notes for 1.5.3 and 1.7.7, three in
test names and one in a C-code comment.

Replace all occurrences of "supermodule" outside of the Release Notes
(which shouldn't be changed after the fact) with "superproject" for
consistency.

Signed-off-by: Jens Lehmann <[email-masked]>
---

Am 20.05.2012 07:16, schrieb Junio C Hamano:
> Jon Seymour <[email-masked]> writes:
> 
>> On Sun, May 20, 2012 at 4:56 AM, Jens Lehmann <[email-masked]> wrote:
>>> Am 19.05.2012 06:40, schrieb Jon Seymour:
>>>
>>> Just a small nit: I'd prefer to replace the 4 occurrences of the term
>>> "supermodule" with "superproject".
>>
>> Sure. I can't argue with precedent, of course, but I guess I was
>> favouring the consistency in the suffixes used with sub and super.
> 
> We fairly consistently say (even outside the documentation---for example,
> listen to the TechTalk Linus gave in May 2007) "superproject" and never
> "supermodule".  You can tell people who were not paying attention when
> they say "supermodule" ;-).

Or they used one of the nine commit messages in current masters history
or one the seven occurrences in the current work tree which use the term
"supermodule" as inspiration ;-)

While we can't change history and shouldn't change Release Notes, the
other uses of "supermodule" should be removed.

 t/t7408-submodule-reference.sh | 4 ++--
 t/t9300-fast-import.sh         | 2 +-
 unpack-trees.c                 | 2 +-
 3 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/t/t7408-submodule-reference.sh b/t/t7408-submodule-reference.sh
index a45fadc..b770b2f 100755
--- a/t/t7408-submodule-reference.sh
+++ b/t/t7408-submodule-reference.sh
@@ -28,7 +28,7 @@ git prune'

 cd "$base_dir"

-test_expect_success 'preparing supermodule' \
+test_expect_success 'preparing superproject' \
 'test_create_repo super && cd super &&
 echo file > file &&
 git add file &&
@@ -55,7 +55,7 @@ diff expected current'

 cd "$base_dir"

-test_expect_success 'cloning supermodule' \
+test_expect_success 'cloning superproject' \
 'git clone super super-clone'

 cd "$base_dir"
diff --git a/t/t9300-fast-import.sh b/t/t9300-fast-import.sh
index 7da0e8d..2aa1824 100755
--- a/t/t9300-fast-import.sh
+++ b/t/t9300-fast-import.sh
@@ -1657,7 +1657,7 @@ M 160000 :6 sub
 INPUT_END

 test_expect_success \
-	'P: supermodule & submodule mix' \
+	'P: superproject & submodule mix' \
 	'git fast-import <input &&
 	 git checkout subuse1 &&
 	 rm -rf sub && mkdir sub && (cd sub &&
diff --git a/unpack-trees.c b/unpack-trees.c
index bcee99c..ad40109 100644
--- a/unpack-trees.c
+++ b/unpack-trees.c
@@ -1210,7 +1210,7 @@ static int verify_uptodate_1(struct cache_entry *ce,
 			return 0;
 		/*
 		 * NEEDSWORK: the current default policy is to allow
-		 * submodule to be out of sync wrt the supermodule
+		 * submodule to be out of sync wrt the superproject
 		 * index.  This needs to be tightened later for
 		 * submodules that are marked to be automatically
 		 * checked out.
-- 
1.7.10.2.548.g9de9681.dirty